// 电机往复运动实现示例
// axIdx:电机序号，取值范围[1,n]
// dist:电机往返距离，单位mm
// count:往返次数
function axis_go_back(axIdx,dist,count) 
	for i=1,count,1 do 
		//+
		mc.movrel(axIdx,10,dist,10)
		while 1 do 
			if mc.AxisSts(axIdx,0) == 0 then  
				break
			end
        end
		
		//-
		mc.movrel(axIdx,10,-1*dist,10)
		while 1 do 
			if mc.AxisSts(axIdx,0) == 0 then  
				break
			end
        end
		
    end
end
